using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BusinessLogicManager;
using WebFormsClient.Base;

namespace WebFormsClient
{
    public partial class Knockout : BasePage
    {
        #region Overrides from Page

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.IsPostBack) return;
            this.loadData();
        }

        #endregion

        #region Private Methods

        /// <summary>
        /// Load the general data on the page
        /// </summary>
        private void loadData()
        {
            try
            {
                this.ddlOrigin.DataSource = BookingBusinessLogicManager.GetAvailableOriginList();
                this.ddlOrigin.DataBind();

                this.ddlDestination.DataSource = BookingBusinessLogicManager.GetAvailableDestinationList();
                this.ddlDestination.DataBind();
            }
            catch (Exception ex)
            {
                this.handleException(ex);
            }
        }

        #endregion


        #region Handlers


        protected void btnGetAvailability_OnClick(object sender, EventArgs e)
        {
            try
            {

            }
            catch (Exception ex)
            {
                this.handleException(ex);
            }

        }

        #endregion
    }
}